## PolkitError

PolkitError — Error codes

## Types and Values

#define | POLKIT_ERROR
enum | PolkitError

## Object Hierarchy

        GEnum
        ╰── PolkitError

## Description

Error codes.

## Functions

## Types and Values

### POLKIT_ERROR

    #define POLKIT_ERROR (polkit_error_quark())

Error domain for errors when using PolicyKit. Errors in this domain will be from the PolkitError enumeration. See GError for information on error domains

### enum PolkitError

Possible error when using PolicyKit.

#### Members

POLKIT_ERROR_FAILED | The operation failed. |
POLKIT_ERROR_CANCELLED | The operation was cancelled. |
POLKIT_ERROR_NOT_SUPPORTED | Operation is not supported. |
POLKIT_ERROR_NOT_AUTHORIZED | Not authorized to perform operation. |